Bug 162609 - com.mysql.jdbc.exceptions.jdbc4.MySQLNonTransientConnectionException: No operations allowed after connection closed.Connection was implicitly closed due to underlying exception/error: ** BEGIN NESTE
com.mysql.jdbc.exceptions.jdbc4.MySQLNonTransientConnectionException: No oper...
Status: CLOSED FIXED
Product: db
Classification: Unclassified
Component: SQL Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@db
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 16:42 UTC by Marian Mirilovic
Modified: 2010-04-23 06:34 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.88 KB, text/plain)
2009-04-14 16:42 UTC, Marian Mirilovic
Details
stacktrace (3.88 KB, text/plain)
2009-07-02 10:50 UTC, gawan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marian Mirilovic 2009-04-14 16:42:23 UTC
Build: NetBeans IDE Dev (Build 200904140201)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Linux, 2.6.27-11-generic, amd64

User Comments:
mmirilovic: invoke code completion at "from issue a, activity b, <HERE> b.who ...."



Stacktrace: 
java.lang.RuntimeException: com.mysql.jdbc.exceptions.jdbc4.MySQLNonTransientConnectionException: No operations allowed after connection closed.Connection was implicitly closed due to underlying exception/error:


** BEGIN NESTED EXCEPTION ** 

com.mysql.jdbc.exceptions.jdbc4.CommunicationsException
MESSAGE: Communications link failure

Last packet sent to the server was 3855776 ms ago.

STACKTRACE:

com.mysql.jdbc.exceptions.jdbc4.CommunicationsException: Communications link failure

Last packet sent to the server was 3855776 ms ago.
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:27)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:513)
	at com.mysql.jdbc.Util.handleNewInstance(Util.java:406)
	at com.mysql.jdbc.SQLError.createCommunicationsException(SQLError.java:1074)
	at 
        at org.netbeans.modules.db.sql.editor.completion.SQLCompletionQuery$1.run(SQLCompletionQuery.java:148)
        at org.netbeans.modules.db.sql.editor.completion.SQLCompletionQuery$1.run(SQLCompletionQuery.java:137)
        at org.netbeans.modules.db.metadata.model.JDBCConnMetadataModel.runReadAction(JDBCConnMetadataModel.java:94)
        at org.netbeans.modules.db.metadata.model.api.MetadataModel.runReadAction(MetadataModel.java:89)
        at org.netbeans.modules.db.sql.editor.completion.SQLCompletionQuery.doQuery(SQLCompletionQuery.java:137)
        at org.netbeans.modules.db.sql.editor.completion.SQLCompletionQuery.query(SQLCompletionQuery.java:115)
Comment 1 Marian Mirilovic 2009-04-14 16:42:29 UTC
Created attachment 80055 [details]
stacktrace
Comment 2 Exceptions Reporter 2009-07-01 11:31:19 UTC
This issue already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=149474
Comment 3 gawan 2009-07-02 10:49:56 UTC
Build: NetBeans IDE 6.7 (Build 200906241340)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Linux, 2.6.28-13-generic, amd64

User Comments: 


Stacktrace: 
com.mysql.jdbc.exceptions.jdbc4.MySQLNonTransientConnectionException: No operations allowed after connection closed.Connection was implicitly closed due to underlying exception/error:


** BEGIN NESTED EXCEPTION ** 

com.mysql.jdbc.exceptions.jdbc4.CommunicationsException
MESSAGE: The last packet successfully received from the server was152064 seconds ago.The last packet sent successfully to the server was 152064 seconds ago, which  is longer than the server configured value of 'wait_timeout'. You should consider either expiring and/or testing connection validity before use in your application, increasing the server configured values for client timeouts, or using the Connector/J connection property 'autoReconnect=true' to avoid this problem.

STACKTRACE:

com.mysql.jdbc.exceptions.jdbc4.CommunicationsException: The last packet successfully received from the server was152064 seconds ago.The last packet sent successfully to the server was 152064 seconds ago, which  is longer than the server configured value of 
        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(NativeConstructorAccessorImpl.java:0)
        at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39)
        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:27)
        at java.lang.reflect.Constructor.newInstance(Constructor.java:513)
        at com.mysql.jdbc.Util.handleNewInstance(Util.java:406)
        at com.mysql.jdbc.Util.getInstance(Util.java:381)
Comment 4 gawan 2009-07-02 10:50:00 UTC
Created attachment 84292 [details]
stacktrace
Comment 5 Exceptions Reporter 2009-07-02 10:50:06 UTC
This issue already has 6 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=149474
Comment 6 Jiri Skrivanek 2009-09-11 12:11:37 UTC
Already fixed in NB6.8. An error dialog is shown when connection is broken.
Comment 7 Marian Mirilovic 2010-04-23 06:34:30 UTC
v/c


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo